html {
  direction: rtl;
}

body {
  font-family: Arial, Helvetica, sans-serif !important;
}

.box-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: stretch;
  align-content: space-around;
}

.box-container button {
  margin-top: 8px;
}

.box {
  flex-grow: 1;
  box-shadow: 3px 3px 5px 6px rgb(204, 204, 204);
  margin: 16px;
  padding: 8px;
}

.action-box {
  cursor: pointer;
  max-width: 200px;
  background-color: darkcyan;
}

.stat-box {
  max-width: 200px;
  background-color: grey;
}

.string {
  font-weight: bold;
  text-align: left;
}

.number {
  font-weight: bold;
  font-size: 350%;
  text-shadow: crimson 2px 2px 2px;
  text-align: center;
}

.number-description {
  text-align: center;
  font-size: 125%;
}

table {
  border: 1px solid rgb(0, 0, 0);
  margin-left: auto;
  margin-right: auto;
  max-width: 90vw;
}

th {
  cursor: pointer;
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.inline-block {
  display: inline-block;
}

.text-center {
  text-align: center;
}

#dashboardRefresh {
  margin-top: 8px;
  align-self: center;
}

.dialog-container {
  position: fixed;
  left: 0;
  right: 0;
  height: 100vh;
  width: 100vw;
}

.smoke-screen {
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 5000;
  height: 100vh;
  width: 100vw;
  position: absolute;
  left: 0;
  top: 0;
}

.dialog {
  z-index: 5001;
  position: absolute;
}

.dialog-header-close {
  position: absolute;
  left: 10px;
  top: 10px;
  font-size: 200%;
  cursor: pointer;
}

.row-selected {
  background-color: #ffe3cc;
}

.details-talk-back {
  text-align: right;
}

.details-pane-on {
  background-color: #bfbdc2;
  border-bottom-width: 2px;
}

.scrollable-content {
  overflow: auto;
  max-height: 60vh;
}

.field-label {
  font-weight: bold;
}

.dashboard-open-errors {
  border: dimgray outset thin;
  border-radius: 4px;
  display: inline-block;
  font-size: 1.5em;
  padding: 1em;
  margin: 1em 0.5em 1em 0.5em;
  text-align: center;
}

#dashboardOpenErrors.okay {
  background-color: #b7fab9;
}

#dashboardOpenErrors.bad {
  background-color: #fab3b2;
}

.dashboard-open-errors-count {
  font-size: 2em;
  font-weight: bolder;
}

#dashboardOpenErrors.okay > .dashboard-open-errors-count {
  color: #082805;
}

#dashboardOpenErrors.bad > .dashboard-open-errors-count {
  color: #4a0805;
}

.dashboard-in-process {
  border: dimgray outset thin;
  border-radius: 4px;
  display: inline-block;
  font-size: 1.5em;
  padding: 1em;
  margin: 1em 0.5em 1em 0.5em;
  text-align: center;
}

#dashboardInProcess.okay {
  background-color: #b7fab9;
}

#dashboardInProcess.bad {
  background-color: #ffeb87;
}

#dashboardInProcess.okay > .dashboard-open-errors-count {
  color: #082805;
}

#dashboardInProcess.bad > .dashboard-open-errors-count {
  color: #4a0805;
}

.dashboard-total-requests {
  border: dimgray outset thin;
  border-radius: 4px;
  display: inline-block;
  font-size: 1.5em;
  padding: 1em;
  margin: 1em 0.5em 1em 0.5em;
  color: #fff;
  background-color: #191aff;
  text-align: center;
}

#dashboardDisplay td {
  text-align: center;
  font-size: 150%;
}

#dashboardDisplay th {
  font-size: 175%;
}

.stat-explanation {
  font-size: 0.7em;
  display: block;
}

.modal {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.65);
  visibility: hidden;
  backface-visibility: hidden;
  opacity: 0;
  transition: opacity 0.15s ease-in-out;
}

.modal.modal-open {
  visibility: visible;
  backface-visibility: visible;
  opacity: 1;
  z-index: 1;
}

.modal .modal-inner {
  position: relative;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.modal .modal-inner .modal-content {
  background-color: white;
  max-width: 80vw;
  padding: 1em 1.5em;
  position: relative;
  margin: 2em;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.35);
}

.modal .modal-inner .modal-content .modal-close-icon {
  position: absolute;
  right: 1.5em;
}

.modal .modal-inner .modal-content .modal-content-inner {
  padding-right: 2em;
}

.modal .modal-inner .modal-content .modal-content-inner h1,
.modal .modal-inner .modal-content .modal-content-inner h2,
.modal .modal-inner .modal-content .modal-content-inner h3,
.modal .modal-inner .modal-content .modal-content-inner h4,
.modal .modal-inner .modal-content .modal-content-inner h5,
.modal .modal-inner .modal-content .modal-content-inner h6 {
  margin-bottom: 0.25em;
}

.modal .modal-inner .modal-content .modal-content-inner p {
  margin-bottom: 1em;
}

.modal .modal-inner .modal-content .modal-buttons-seperator {
  margin: 0 0 1.5em;
}

.modal .modal-inner .modal-content .modal-buttons {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

.modal .modal-inner .modal-content .modal-buttons button {
  margin-left: 1em;
}

.modal .modal-inner .modal-content .modal-buttons button:first-child {
  margin-left: 0;
}

.request-details {
  background-color: lightblue;
  padding: 4px;
}

.person-name {
  font-weight: bold;
  display: inline-block;
}

.person-phone {
  display: inline-block;
}

.screenshot-preview {
  max-width: 250px;
  margin: 16px;
  display: block;
}

.screenshot-preview-small {
  max-width: 100px;
}

.call-treatment {
  background-color: darkgray;
  margin: 16px 0;
  padding: 4px;
}

.call-treatment textarea {
  width: 100%;
}

.call-contorl {
  background-color: lightsteelblue;
  padding: 4px;
  border-top: 1px solid #00c;
  border-bottom: 1px solid #00c;
}

.list-container,
.search-terms-list {
  max-height: 150px;
  overflow-y: auto;
}

.list-container label,
.search-terms-list label {
  float: right;
  margin: 4px;
}
